Bug Hunting Session
Bug 95946 - View menu and Display Mode tab order inconsistent
Summary: View menu and Display Mode tab order inconsistent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Display-View-Selector
  Show dependency treegraph
 
Reported: 2015-11-20 11:18 UTC by Óvári
Modified: 2017-11-21 12:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2015-11-20 11:18:23 UTC
Win 8.1
Version: 5.1.0.0.alpha1+ (x64)
Build ID: 186f365a2c541c51e404b1fa819f35c9152adaf1
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-11-19_23:26:12

The order in the View menu seems different to the Display Mode. Is is possible for the order in the View menu and Display Mode changed to be consistent?

Thank you
Comment 1 Buovjaga 2015-11-22 10:08:42 UTC
Ok, so the display mode tabs, yeah.. Setting to NEW.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 66d2b72667792cb18b25805387824d636e2a455c
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-18_02:35:53
Locale: fi-FI (fi_FI)
Comment 2 Yousuf Philips (jay) (retired) 2015-11-24 11:53:59 UTC
So the view menu is sorted according to the view tab bar (Normal, Outline, Notes), while the display mode button has Notes before Outline.
Comment 3 Robinson Tryon (qubit) 2015-12-10 07:26:44 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-10-23 14:13:07 UTC Comment hidden (obsolete)
Comment 5 Óvári 2017-10-26 10:06:27 UTC
Bug still present in: Version: 5.4.3.1
Build ID: 32c8895c6cae21571f364dbb059f419a743ee44d
Comment 6 Yousuf Philips (jay) (retired) 2017-10-26 12:21:12 UTC
I can fix this, but the question comes down to whether it should be fixed, as presently you have normal next to notes on the top row and master slide next to master notes on the third row, which gives some uniformity in the rows, which would be lost if the top row was changed to normal next to outline. I would vote to keep it as is.

Heiko, Stuart, Adolfo: your thoughts?

https://opengrok.libreoffice.org/xref/core/sd/source/ui/controller/displaymodecontroller.cxx#78
Comment 7 Yousuf Philips (jay) (retired) 2017-10-27 19:47:07 UTC
The patch is here, if the agreement is to go forward
https://gerrit.libreoffice.org/#/c/43966/
Comment 8 Heiko Tietze 2017-10-31 08:40:56 UTC
Wonder why the order Normal-Outline-Notes... is what I have in fresh and master. But anyway, I agree with the request to make it consistent with the tabs.
Comment 9 Commit Notification 2017-11-21 12:41:50 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6bc69fa2d37b8a35dbf98218a2f6514e4d7b43bc

tdf#95946 correct order of buttons in the display mode control

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.